---
lang: en
title: 'API docs: filter.filterbuilder.fields'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/filter
permalink: /doc/en/lb4/apidocs.filter.filterbuilder.fields.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/filter](./filter.md) &gt; [FilterBuilder](./filter.filterbuilder.md) &gt; [fields](./filter.filterbuilder.fields.md)

## FilterBuilder.fields() method

Describe what fields to be included/excluded

**Signature:**

```typescript
fields(...f: (Fields<MT> | Extract<keyof MT, string>)[]): this;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  f | ([Fields](./filter.fields.md)<!-- -->&lt;MT&gt; \| Extract&lt;keyof MT, string&gt;)\[\] | A field name to be included, an array of field names to be included, or an Fields object for the inclusion/exclusion |

**Returns:**

this


